import javax.microedition.lcdui.*;

public class SearchForm extends TextBox implements CommandListener { 
    BrowserCanvas canvas;
    Index         index;
    Displayable   parent;
    static String prefix = "";

    static final int MAX_LENGTH = 32;

    SearchForm(BrowserCanvas canvas, Index index, Displayable parent) { 
        super(Locale.current.getResource("Search prefix"), prefix, MAX_LENGTH, TextField.ANY);
        this.canvas = canvas;
        this.index = index;
        this.parent = parent;
        addCommand(MapBrowser.SEARCH_CMD);
        addCommand(MapBrowser.BACK_CMD);
        setCommandListener(this);
        Display.getDisplay(canvas.browser).setCurrent(this);
    }
    
    public void commandAction(Command c, Displayable d) 
    {
        if (c == MapBrowser.SEARCH_CMD) { 
            prefix = getString();
            new IndexList(canvas, index, prefix.toLowerCase(), this);
        } else { 
            Display.getDisplay(canvas.browser).setCurrent(parent);
        }
    }
}
           

    
